package io.reisub.dreambot.cplanker.tasks;

import org.dreambot.api.methods.Calculations;
import org.dreambot.api.methods.MethodProvider;
import org.dreambot.api.methods.container.impl.Inventory;
import org.dreambot.api.methods.item.GroundItems;
import org.dreambot.api.script.TaskNode;
import org.dreambot.api.wrappers.items.GroundItem;

public class PickupNest extends TaskNode {
    @Override
    public boolean accept() {
        GroundItem nest = GroundItems.closest(groundItem -> groundItem.getName().contains("nest"));
        return nest != null
                && !Inventory.isFull();
    }

    @Override
    public int execute() {
        int count = Inventory.fullSlotCount();

        GroundItem nest = GroundItems.closest(groundItem -> groundItem.getName().contains("nest"));
        if (nest == null) return Calculations.random(250, 400);

        nest.interact();
        MethodProvider.sleepUntil(() -> Inventory.fullSlotCount() > count, Calculations.random(4000, 4500));

        return Calculations.random(250, 400);
    }
}
