package io.reisub.dreambot.cminer.tasks;

import io.reisub.dreambot.util.Constants;
import org.dreambot.api.methods.Calculations;
import org.dreambot.api.methods.MethodProvider;
import org.dreambot.api.methods.container.impl.Inventory;
import org.dreambot.api.methods.container.impl.bank.Bank;
import org.dreambot.api.methods.interactive.Players;
import org.dreambot.api.script.TaskNode;

public class OpenBank extends TaskNode {
    @Override
    public boolean accept() {
        return !Bank.isOpen() &&
                Bank.getClosestBankLocation().distance(Players.localPlayer().getTile()) < Calculations.random(6, 10) &&
                (Inventory.contains(Constants.IRON_BAR) || Inventory.contains(Constants.UNCUT_GEMS_FILTER));
    }

    @Override
    public int execute() {
        Bank.open();
        MethodProvider.sleepUntil(Bank::isOpen, Calculations.random(10000, 12000));

        return Calculations.random(250, 400);
    }
}
