package io.reisub.dreambot.cwintertodt.tasks;

import io.reisub.dreambot.util.Constants;
import org.dreambot.api.methods.Calculations;
import org.dreambot.api.methods.widget.Widgets;
import org.dreambot.api.script.TaskNode;
import org.dreambot.api.wrappers.widgets.WidgetChild;

public class Wait extends TaskNode {
    @Override
    public boolean accept() {
        WidgetChild child = Widgets.getChildWidget(396, 3);

        if (child == null) return false;

        String text = child.getText();

        return text.startsWith(Constants.WINTERTODT_RETURNS_IN) && !text.endsWith("0:00");
    }

    @Override
    public int execute() {
        return Calculations.random(200, 300);
    }
}
